DERIA5String (Bouncy Castle Library 1.52 API Specification)

org.bouncycastle.asn1

## Class DERIA5String

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.ASN1Primitive
    - - org.bouncycastle.asn1.DERIA5String

- All Implemented Interfaces:
    ASN1Encodable, ASN1String, Encodable
  Direct Known Subclasses:
    NetscapeRevocationURL, VerisignCzagExtension

      public class DERIA5String
      extends ASN1Primitive
      implements ASN1String

  DER IA5String object - this is an ascii string.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DERIA5String(java.lang.String string)` basic constructor - without validation.
    `DERIA5String(java.lang.String string, boolean validate)` Constructor with optional validation.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DERIA5String` | `getInstance(ASN1TaggedObject obj, boolean explicit)` return an IA5 String from a tagged object.
    `static DERIA5String` | `getInstance(java.lang.Object obj)` return a IA5 string from the passed in object
    `byte[]` | `getOctets()`
    `java.lang.String` | `getString()`
    `int` | `hashCode()`
    `static boolean` | `isIA5String(java.lang.String str)` return true if the passed in String can be represented without loss as an IA5String, false otherwise.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Primitive

      `equals, fromByteArray, toASN1Primitive`

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `getEncoded, getEncoded, hasEncodedTagValue, toASN1Object`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DERIA5String

          public DERIA5String(java.lang.String string)

      basic constructor - without validation.
      Parameters:
        `string` - the base string to use..

    - #### DERIA5String

          public DERIA5String(java.lang.String string,
                      boolean validate)

      Constructor with optional validation.
      Parameters:
        `string` - the base string to wrap.
        `validate` - whether or not to check the string.
      Throws:
        `java.lang.IllegalArgumentException` - if validate is true and the string contains characters that should not be in an IA5String.

  - ### Method Detail

    - #### getInstance

          public static DERIA5String getInstance(java.lang.Object obj)

      return a IA5 string from the passed in object
      Parameters:
        `obj` - a DERIA5String or an object that can be converted into one.
      Returns:
        a DERIA5String instance, or null.
      Throws:
        `java.lang.IllegalArgumentException` - if the object cannot be converted.

    - #### getInstance

          public static DERIA5String getInstance(ASN1TaggedObject obj,
                                 boolean explicit)

      return an IA5 String from a tagged object.
      Parameters:
        `obj` - the tagged object holding the object we want
        `explicit` - true if the object is meant to be explicitly tagged false otherwise.
      Returns:
        a DERIA5String instance, or null.
      Throws:
        `java.lang.IllegalArgumentException` - if the tagged object cannot be converted.

    - #### getString

          public java.lang.String getString()

      Specified by:
        `getString` in interface `ASN1String`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getOctets

          public byte[] getOctets()

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in class `ASN1Primitive`

    - #### isIA5String

          public static boolean isIA5String(java.lang.String str)

      return true if the passed in String can be represented without loss as an IA5String, false otherwise.
      Parameters:
        `str` - the string to check.
      Returns:
        true if character set in IA5String set, false otherwise.